apiVersion: logging.openshift.io/v1
kind: ClusterLogging
metadata:
  creationTimestamp: "2022-02-10T04:32:20Z"
  generation: 1
  name: instance
  namespace: openshift-logging
  resourceVersion: "47958"
  uid: 44850c18-a0e3-4ceb-a496-05f8e7975f1b
spec:
  collection:
    logs:
      type: vector
  logStore:
    elasticsearch:
      nodeCount: 3
      proxy:
        resources:
          limits:
            memory: 256Mi
          requests:
            memory: 256Mi
      redundancyPolicy: SingleRedundancy
      resources:
        requests:
          memory: 1Gi
      storage:
        size: 100G
        storageClassName: gp2
    retentionPolicy:
      application:
        maxAge: 7d
      audit:
        maxAge: 7d
      infra:
        maxAge: 7d
    type: elasticsearch
  managementState: Managed
  visualization:
    kibana:
      replicas: 1
    type: kibana
status:
  clusterConditions:
  - lastTransitionTime: "2022-02-10T04:32:33Z"
    status: "False"
    type: CollectorDeadEnd
  - lastTransitionTime: "2022-02-10T04:32:21Z"
    message: curator is deprecated in favor of defining retention policy
    reason: ResourceDeprecated
    status: "True"
    type: CuratorRemoved
  collection:
    logs:
      fluentdStatus: {}
  curation: {}
  logStore:
    elasticsearchStatus:
    - cluster:
        activePrimaryShards: 12
        activeShards: 24
        initializingShards: 0
        numDataNodes: 3
        numNodes: 3
        pendingTasks: 0
        relocatingShards: 0
        status: green
        unassignedShards: 0
      clusterName: elasticsearch
      nodeConditions:
        elasticsearch-cdm-eve7qvpk-1: []
        elasticsearch-cdm-eve7qvpk-2: []
        elasticsearch-cdm-eve7qvpk-3: []
      nodeCount: 3
      pods:
        client:
          failed: []
          notReady: []
          ready:
          - elasticsearch-cdm-eve7qvpk-1-5d68fdc477-jl772
          - elasticsearch-cdm-eve7qvpk-2-78456975b8-wk229
          - elasticsearch-cdm-eve7qvpk-3-695f88f4f9-rc2p5
        data:
          failed: []
          notReady: []
          ready:
          - elasticsearch-cdm-eve7qvpk-1-5d68fdc477-jl772
          - elasticsearch-cdm-eve7qvpk-2-78456975b8-wk229
          - elasticsearch-cdm-eve7qvpk-3-695f88f4f9-rc2p5
        master:
          failed: []
          notReady: []
          ready:
          - elasticsearch-cdm-eve7qvpk-1-5d68fdc477-jl772
          - elasticsearch-cdm-eve7qvpk-2-78456975b8-wk229
          - elasticsearch-cdm-eve7qvpk-3-695f88f4f9-rc2p5
      shardAllocationEnabled: all
  visualization:
    kibanaStatus:
    - deployment: kibana
      pods:
        failed: []
        notReady: []
        ready:
        - kibana-c5c65798-wckz4
      replicaSets:
      - kibana-c5c65798
      replicas: 1
